Bug 870792 - [abrt] libreoffice-core-3.5.6.2-2.fc17: operator[]: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.6.2-2.fc17: operator[]: Process /usr/lib64/libreo...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:779635c4631229934631ef2cb8e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-28 15:06 EDT by hywel
Modified: 2012-11-28 07:27 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 07:27:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (5.90 KB, text/plain)
2012-10-28 15:06 EDT, hywel
no flags Details
File: environ (2.21 KB, text/plain)
2012-10-28 15:06 EDT, hywel
no flags Details
File: backtrace (45.17 KB, text/plain)
2012-10-28 15:06 EDT, hywel
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-28 15:06 EDT, hywel
no flags Details
File: cgroup (128 bytes, text/plain)
2012-10-28 15:06 EDT, hywel
no flags Details
File: maps (96.02 KB, text/plain)
2012-10-28 15:06 EDT, hywel
no flags Details
File: dso_list (21.33 KB, text/plain)
2012-10-28 15:06 EDT, hywel
no flags Details
File: var_log_messages (349 bytes, text/plain)
2012-10-28 15:06 EDT, hywel
no flags Details
File: open_fds (479 bytes, text/plain)
2012-10-28 15:06 EDT, hywel
no flags Details

  None (edit)
Description hywel 2012-10-28 15:06:07 EDT
Version-Release number of selected component:
libreoffice-core-3.5.6.2-2.fc17

Additional info:
libreport version: 2.0.16
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/hywel/Documents/Evans%20%20Amanda%2001.pdf --splash-pipe=6
crash_function: operator[]
kernel:         3.5.3-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 operator[] at /usr/src/debug/libreoffice-3.5.6.2/svl/source/notify/brdcst.cxx:37
: #1 SfxBroadcaster::Broadcast at /usr/src/debug/libreoffice-3.5.6.2/svl/source/notify/brdcst.cxx:62
: #2 SvxTextEditSourceImpl::NotifyHdl at /usr/src/debug/libreoffice-3.5.6.2/svx/source/unodraw/unoshtxt.cxx:1019
: #3 Call at /usr/src/debug/libreoffice-3.5.6.2/solver/unxlngx6.pro/inc/tools/link.hxx:140
: #4 ImplBlockInsertionCallbacks at /usr/src/debug/libreoffice-3.5.6.2/editeng/source/outliner/outliner.cxx:2061
: #5 Outliner::ImplBlockInsertionCallbacks at /usr/src/debug/libreoffice-3.5.6.2/editeng/source/outliner/outliner.cxx:2043
: #6 SdrTextObj::EndTextEdit at /usr/src/debug/libreoffice-3.5.6.2/svx/source/svdraw/svdotxed.cxx:260
: #7 SdrObjEditView::SdrEndTextEdit at /usr/src/debug/libreoffice-3.5.6.2/svx/source/svdraw/svdedxv.cxx:832
: #8 sd::View::SdrEndTextEdit at /usr/src/debug/libreoffice-3.5.6.2/sd/source/ui/view/sdview.cxx:795
: #9 sd::ViewShellManager::Implementation::Deactivate at /usr/src/debug/libreoffice-3.5.6.2/sd/source/ui/view/ViewShellManager.cxx:1360
Comment 1 hywel 2012-10-28 15:06:11 EDT
Created attachment 634639 [details]
File: core_backtrace
Comment 2 hywel 2012-10-28 15:06:12 EDT
Created attachment 634640 [details]
File: environ
Comment 3 hywel 2012-10-28 15:06:14 EDT
Created attachment 634641 [details]
File: backtrace
Comment 4 hywel 2012-10-28 15:06:16 EDT
Created attachment 634642 [details]
File: limits
Comment 5 hywel 2012-10-28 15:06:18 EDT
Created attachment 634643 [details]
File: cgroup
Comment 6 hywel 2012-10-28 15:06:19 EDT
Created attachment 634644 [details]
File: maps
Comment 7 hywel 2012-10-28 15:06:21 EDT
Created attachment 634645 [details]
File: dso_list
Comment 8 hywel 2012-10-28 15:06:24 EDT
Created attachment 634646 [details]
File: var_log_messages
Comment 9 hywel 2012-10-28 15:06:26 EDT
Created attachment 634647 [details]
File: open_fds
Comment 10 David Tardon 2012-10-29 05:01:00 EDT
That was on clicking outside of an text edit box in draw/impress, right? Is the crash reproducible?
Comment 11 hywel 2012-10-30 01:41:42 EDT
Sorry Tardon, I can't remember I was doing. Already upgrade to the 3.5.7.2 ver.

Note You need to log in before you can comment on or make changes to this bug.